LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
CellAnnotation Service Referencepublished

represents a cell annotation object attached to a spreadsheet cell. More...

`import"CellAnnotation.idl";`

Inheritance diagram for CellAnnotation:

## Exported Interfaces
interface | com::sun::star::sheet::XSheetAnnotation
| provides methods to query data of the annotation and to show and hide it. More...
interface | com::sun::star::container::XChild
| provides access to the parent of this object. More...
interface | com::sun::star::text::XSimpleText
| provides access to the text contents of the annotation. More...
interface | com::sun::star::sheet::XSheetAnnotationShapeSupplier

## Additional Inherited Members
Public Member Functions inherited from XSheetAnnotation
com::sun::star::table::CellAddress | getPosition ()
| returns the position of cell in the spreadsheet document that contains this annotation. More...
string | getAuthor ()
| returns the name of the user who last changed the annotation. More...
string | getDate ()
| returns a formatted string representing the date when the annotation was last changed. More...
boolean | getIsVisible ()
| returns, whether the annotation is permanently visible. More...
void | setIsVisible ([in] boolean bIsVisible)
| specifies whether the annotation is permanently visible. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XSimpleText
com::sun::star::text::XTextCursor | createTextCursor ()
com::sun::star::text::XTextCursor | createTextCursorByRange ([in] com::sun::star::text::XTextRange aTextPosition)
void | insertString ([in] com::sun::star::text::XTextRange xRange, [in] string aString, [in] boolean bAbsorb)
| inserts a string of characters into the text. More...
void | insertControlCharacter ([in] com::sun::star::text::XTextRange xRange, [in] short nControlCharacter, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a control character (like a paragraph break or a hard space) into the text. More...
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced. More...
Protected Member Functions inherited from XSheetAnnotationShapeSupplier
com::sun::star::drawing::XShape | getAnnotationShape ()
| returns the shape of the annotation More...

## Detailed Description

represents a cell annotation object attached to a spreadsheet cell.

See also
  com::sun::star::sheet::SheetCell

Developers Guide
  Spreadsheet Documents - Cell Annotations

## Exported Interfaces

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

provides access to the parent of this object.

The parent of a cell annotation is the cell that contains it.

## ◆ com::sun::star::sheet::XSheetAnnotation

interface com::sun::star::sheet::XSheetAnnotation

provides methods to query data of the annotation and to show and hide it.

## ◆ com::sun::star::sheet::XSheetAnnotationShapeSupplier

interface com::sun::star::sheet::XSheetAnnotationShapeSupplier
| optional

## ◆ com::sun::star::text::XSimpleText

interface com::sun::star::text::XSimpleText

provides access to the text contents of the annotation.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/CellAnnotation.idl